Bug 981448 - SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from write, open access on the file /run/riak/.erlang.cookie.
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from write, ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:c4b5081fee6a85a458536395bc0...
:
: 981449 981452 981453 981454 981455 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 14:42 EDT by Mark
Modified: 2015-02-18 08:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:58:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2013-07-04 14:42:03 EDT
Description of problem:
SELinux is preventing /usr/lib64/erlang/erts-5.10.1/bin/beam.smp from write, open access on the file /run/riak/.erlang.cookie.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that beam.smp should be allowed write open access on the .erlang.cookie file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep beam.smp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/riak/.erlang.cookie [ file ]
Source                        beam.smp
Source Path                   /usr/lib64/erlang/erts-5.10.1/bin/beam.smp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           erlang-erts-R16B-0.3.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-04 00:47:21 EDT
Last Seen                     2013-07-04 00:47:21 EDT
Local ID                      aab3974a-d8b3-4af1-937f-7d6e2d5427fc

Raw Audit Messages
type=AVC msg=audit(1372913241.704:827): avc:  denied  { write open } for  pid=5894 comm="beam.smp" path="/run/riak/.erlang.cookie" dev="tmpfs" ino=33059 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1372913241.704:827): arch=x86_64 syscall=open success=no exit=EACCES a0=7fe49c001278 a1=241 a2=1b6 a3=0 items=0 ppid=5883 pid=5894 auid=4294967295 uid=992 gid=991 euid=992 suid=992 fsuid=992 egid=991 sgid=991 fsgid=991 ses=4294967295 tty=(none) comm=beam.smp exe=/usr/lib64/erlang/erts-5.10.1/bin/beam.smp subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: beam.smp,rabbitmq_beam_t,var_run_t,file,write,open

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-07 02:55:23 EDT
*** Bug 981449 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2013-07-07 03:12:33 EDT
Did you setup the

/run/riak

directory? The same for your libs and logs. Basically we don't have these paths in the default policy.
Comment 3 Miroslav Grepl 2013-07-07 03:12:42 EDT
*** Bug 981452 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2013-07-07 03:12:46 EDT
*** Bug 981453 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2013-07-07 03:12:53 EDT
*** Bug 981454 has been marked as a duplicate of this bug. ***
Comment 6 Miroslav Grepl 2013-07-07 03:12:55 EDT
*** Bug 981455 has been marked as a duplicate of this bug. ***
Comment 7 Francesco Frassinelli (frafra) 2013-10-02 12:21:28 EDT
Same problem here. 

# yum install riak
# systemctl start riak.service

How should we setup /run/riak?
Comment 8 Miroslav Grepl 2013-10-07 09:46:04 EDT
We need to add a support for it. Basically we also need to re-write rabbit_* policy.

# matchpathcon /var/run/rabbitmq
/var/run/rabbitmq	system_u:object_r:rabbitmq_var_run_t:s0

So you can test 

# chcon -R -t rabbitmq_var_run_t /var/run/rabbitmq

labeling.
Comment 9 Fedora End Of Life 2015-01-09 17:10:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 08:58:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.